//-----------------------------------------------------------------------------
// Title      : bsp_ub065_mk3_key_matrix
//-----------------------------------------------------------------------------
// Funktion   : Externe Matrix-Tastatur
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 05.12.2012
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_ext_module/EXT_MOD_KEY_MATRIX.h>
#include <ub_mk3_2560/MK3_2560_LED.h>

//-----------------------------------------------------------------------------
// Hinweis : Eine externe Matrix-Tastatur muss angeschlossen sein
//           QuickJumper : Port-L muss geschlossen sein
//           An den LEDs wird die Tasten-Nummer der gedreuckten Taste angezeigt
//           (oder 0 wenn keine Taste gedrueckt ist)
//-----------------------------------------------------------------------------


int main (void)
{
	unsigned char wert;
	
	// Matrix-Tastatur initialisieren
	EXT_INIT_KEY_MATRIX();
	
	// LEDs initialisieren
	MK3_INIT_LED();
	// alle LEDs AUS
	MK3_LED_ZAHL(0x00);
	
	
	wert=0;
	while (true)
	{
		// Matrix-Tastatur abfragen
		wert=EXT_KEY_MATRIX_READ();
		if(wert>0) {
			// eine Taste ist gedrueckt
			MK3_LED_ZAHL(wert);
		}
		else  {
			// es ist keine Taste gedrueckt
			MK3_LED_ZAHL(0); // alle LEDs AUS
		}
		
	}
	return 0;
}
//-----------------------------------------------------------------------------






